# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取审核待办历史记录,32,32-23,sit,bs
主数据平台:后台运营系统获取审核待办历史记录接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_32st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_102")
password = commonFuc().get_business_data(module, "password_102")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取需求单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url14")
request_body = commonFuc().get_business_data(module, "payload14")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
demand_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取需求单信息
demandCode = result["data"]["list"][demand_random]["demandCode"]
# demandCode = "17102381921352262"

# 第三步获取审核待办历史记录
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url23")
request_body = commonFuc().get_business_data(module, "payload23", demandCode)

"""

 场景: 获取审核待办历史记录
 用例名称：获取审核待办历史记录
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# print(result)
# 获取审核待办历史记录
result = {"total": result["data"]["total"]}
# demandCode = "%17102381921352262%"
# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库对应需求单审核待办历史记录数量
sql = "SELECT count(t.auditStayId) FROM `cmdc-order`.tc_audit_stay t WHERE demandCode regexp '{}'".format(demandCode)
total = (
    mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0] if mysql_handle.selectSql(host, port, user,
                                                                                                     pwd, "cmdc-order",
                                                                                                     sql) else 0)
# print(sql)
# print(mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql))
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict23", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
