# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc重复数据导入校验验证_超发配置导入,32,32-12,sit,be
主数据平台:后台运营系统超发配置导入接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import random
import requests
import json
import os

module = "cmdc_32st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username1_be")
password = commonFuc().get_business_data(module, "password1_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 第二步获取商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10_1")
request_body = commonFuc().get_business_data(module, "payload10_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
product_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取商品信息
productCode = result["data"]["list"][product_random]["productCode"]
productName = result["data"]["list"][product_random]["productName"]
specifications = result["data"]["list"][product_random]["specifications"]
num = random.randint(1, 5)
# print(productCode)
# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/超发配置导入模板_数据重复.xlsx"

# 第三步进行超发配置导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url12")
request_body = commonFuc().get_business_data(module, "payload12")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""

 场景: 重复数据导入校验验证_超发配置导入
 用例名称：重复数据导入校验验证_超发配置导入
 输出：{"status":3}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers, data=request_body)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db_be")

# 查询数据库导入状态
sql = "SELECT t.status FROM `cmdc-order`.tc_excel_log t " \
      "WHERE sheetName = 'supernova-D' and companyCode =00102 ORDER BY createTime desc"
status = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]
result = {"status": status}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict12")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
