# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc电商配货详情页新增仓库字段验证,33,33-32,sit,be
主数据平台:后台运营系统获取电商佩卓接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步待配货列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url32_1")
request_body = commonFuc().get_business_data(module, "payload32_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取配货信息
distributionId = result["data"]["list"][0]["distributionId"]

# 第三步获取配货详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url32")
request_body = commonFuc().get_business_data(module, "payload32", distributionId)

"""

 场景: 电商配货详情页新增仓库字段验证
 用例名称：电商配货详情页新增仓库字段验证
 输出：["storageRoomName"]
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取电商配货详情页信息
result = json.loads(result.content)
result = result["data"]
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict32")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_variable_exist(check_dict, result)
