# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc库存重新获取刷新接口验证,2295,2295-106,sit,bs
主数据平台:后台运营系统库存重新获取刷新接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取欠货综合管理列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url118")
request_body = commonFuc().get_business_data(module, "payload118")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
debt_random = random.randint(0, len(result["data"]["queryDemandPageInfo"]["list"]) - 1)
# 获取欠货信息
customerCode = result["data"]["queryDemandPageInfo"]["list"][debt_random]["customerCode"]
demandId = result["data"]["queryDemandPageInfo"]["list"][debt_random]["demandId"]
demandSubId = result["data"]["queryDemandPageInfo"]["list"][debt_random]["demandSubId"]

# 第三步获取欠货详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url120")
request_body = commonFuc().get_business_data(module, "payload120", demandSubId, demandSubId)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取欠货详情商品信息
sellerCompanyCode = result["data"]["list"][0]["sellerCompanyCode"]
productCode = result["data"]["list"][0]["productCode"]

# 第四步进行库存重新刷新获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url106")
request_body = commonFuc().get_business_data(module, "payload106", productCode, sellerCompanyCode)

"""

 场景: 库存重新获取刷新接口验证
 用例名称：库存重新获取刷新接口验证
 输出：{"status":1,"errorLog":null}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取库存更新结果
result = json.loads(result.content)
result = {"status": result["data"]["status"], "errorLog": result["data"]["errorLog"]}

# 将接口响应时间添加至结果中
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict106")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
