# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取站点列表,2256,2256-1,sit,bs
主数据平台:后台运营系统获取站点列表接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_website"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取站点列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
request_body = commonFuc().get_business_data(module, "payload4")
# print(request_body)
"""

 场景: 获取站点列表
 用例名称：获取站点列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取站点列表站点数量
result = json.loads(result.content)
# print(result)
result = {"total": result["data"]["total"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中站点数量
sql = "SELECT count(t.websiteId) FROM `cmdc-cms`.cms_website t WHERE deleteSign = 0 and supplierSign = 0"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict4", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
