# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取站点备注配置,2256,2256-17,sit,bs
主数据平台:后台运营系统获取站点备注配置接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_website"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取站点列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
request_body = commonFuc().get_business_data(module, "payload4")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
website_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取站点信息
companyId = result["data"]["list"][website_random]["companyId"]

# 第三步获取站点备注配置
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url17")
request_body = commonFuc().get_business_data(module, "payload17", companyId)
"""

 场景: 获取站点备注配置
 用例名称：获取站点备注配置
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取站点备注配置信息
result = json.loads(result.content)
# print(result)
result = {"total": len(result["data"]["resultList"])}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中备注信息
sql = "SELECT count(t.remarksConfigManageId) FROM `cmdc-user`.cmdc_remarks_config_manage t " \
      "WHERE deleteSign = 0 and companyId = {}".format(companyId)
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict17", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

